﻿using System.Collections.Generic;
using System.Linq;
using jQuery_DataTable_EF_Core_MVC.Models;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;

namespace jQuery_DataTable_EF_Core_MVC.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult AjaxMethod()
        {
            List<Customer> customers = (from customer in this.Context.Customers
                                        select customer).ToList();

            return Json(JsonConvert.SerializeObject(customers));
        }
    }
}